Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export
Class JRHyperlinkTargetProducerMapFactory

    java.lang.Object
      net.sf.jasperreports.engine.export.JRHyperlinkTargetProducerFactory
          net.sf.jasperreports.engine.export.JRHyperlinkTargetProducerMapFactory

All Implemented Interfaces:
  java.io.Serializable

    public class JRHyperlinkTargetProducerMapFactory

extends JRHyperlinkTargetProducerFactory
implements java.io.Serializable

Map-based hyperlink target producer factory implementation.

This implementation wraps a hyperlink target to hyperling target producer instance association map.

Version:
  $Id: JRHyperlinkTargetProducerMapFactory.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)
See Also:
  Serialized Form

Constructor Summary
`JRHyperlinkTargetProducerMapFactory()` Creates a blank factory.

Method Summary
`void` | `addProducer(java.lang.String linkTarget, JRHyperlinkTargetProducer producer)` Adds a hyperlink target producer instance associated to a hyperlink target.
`JRHyperlinkTargetProducer` | `getHyperlinkTargetProducer(java.lang.String linkTarget)` Returns the hyperlink target producer associated with a specific hyperlink target.
`java.util.Map` | `getProducersMap()` Exposes the target to producer association map.
`JRHyperlinkTargetProducer` | `removeProducer(java.lang.String linkTarget)` Removes a target to producer association.
`void` | `setProducersMap(java.util.Map producers)` Sets the target to producer association map.

Methods inherited from class net.sf.jasperreports.engine.export.JRHyperlinkTargetProducerFactory
`produceHyperlinkTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRHyperlinkTargetProducerMapFactory

    public JRHyperlinkTargetProducerMapFactory()

  Creates a blank factory.

Method Detail

### getProducersMap

    public java.util.Map getProducersMap()

  Exposes the target to producer association map.

  Returns:
    the target to producer association map

### setProducersMap

    public void setProducersMap(java.util.Map producers)

  Sets the target to producer association map.

  Parameters:
    `producers` - bulk target to producer association map
  See Also:
    `getProducersMap()`

### addProducer

    public void addProducer(java.lang.String linkTarget,
                            JRHyperlinkTargetProducer producer)

  Adds a hyperlink target producer instance associated to a hyperlink target.

  Parameters:
    `linkTarget` - the target
    `producer` - the producer

### removeProducer

    public JRHyperlinkTargetProducer removeProducer(java.lang.String linkTarget)

  Removes a target to producer association.

  Parameters:
    `linkTarget` - the hyperlink target
  Returns:
    the producer which was associated to the target, if any

### getHyperlinkTargetProducer

    public JRHyperlinkTargetProducer getHyperlinkTargetProducer(java.lang.String linkTarget)

  Description copied from class: `JRHyperlinkTargetProducerFactory`
  Returns the hyperlink target producer associated with a specific hyperlink target.

  Specified by:
    `getHyperlinkTargetProducer` in class `JRHyperlinkTargetProducerFactory`
  Parameters:
    `linkTarget` - the hyperlink target
  Returns:
    an associated hyperlink target producer, or `null` when none associated

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com